package uk.ac.vamsas.client.picking;

/**
 * Message class that can be used to send mouse over events.
 */
public class MouseOverMessage extends Message
{
	private String vorbaID;
	private int position;
	
	/**
	 * Constructs a new mouse over message.
	 * @param vorbaID the VAMSAS object ID of the event's source (usually an
	 * alignment or alignment sequence)
	 * @param position a position on the source in its coordinate system (ie a
	 * column or nucleotide/residue position)
	 */
	public MouseOverMessage(String vorbaID, int position)
	{
		this.vorbaID = vorbaID;
		this.position = position;
		
		message = "MOUSEOVER_"
			+ "vorbaID=" + vorbaID + "_" + "position=" + position;
	}
	
	/**
	 * Constructs a new mouse over message from its underlying string format.
	 * @param str the string representation of an instance of this object
	 * @throws java.lang.Exception if the message cannot be reconstructed
	 */
	MouseOverMessage(String str)
		throws Exception
	{
		String[] elements = str.split("_");
		
	}
}